summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/kdevelop-pg-qt/README2
-rw-r--r--development/kdevelop-pg-qt/kdevelop-pg-qt.SlackBuild89
-rw-r--r--development/kdevelop-pg-qt/kdevelop-pg-qt.info10
-rw-r--r--development/kdevelop-pg-qt/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/development/kdevelop-pg-qt/README b/development/kdevelop-pg-qt/README
new file mode 100644
index 0000000000..76458ac77d
--- /dev/null
+++ b/development/kdevelop-pg-qt/README
@@ -0,0 +1,2 @@
+KDevelop Parser Generator, a LL(1) and shunting-yard parser generator
+used mainly by KDevelop language plugins.
diff --git a/development/kdevelop-pg-qt/kdevelop-pg-qt.SlackBuild b/development/kdevelop-pg-qt/kdevelop-pg-qt.SlackBuild
new file mode 100644
index 0000000000..26e12538d5
--- /dev/null
+++ b/development/kdevelop-pg-qt/kdevelop-pg-qt.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for kdevelop-pg-qt
+
+# Copyright 2010-2011 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=kdevelop-pg-qt
+VERSION=0.9.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde4-config --prefix)
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX="$KDEPREF" \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ .
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/kdevelop-pg-qt/kdevelop-pg-qt.info b/development/kdevelop-pg-qt/kdevelop-pg-qt.info
new file mode 100644
index 0000000000..483ec75b1d
--- /dev/null
+++ b/development/kdevelop-pg-qt/kdevelop-pg-qt.info
@@ -0,0 +1,10 @@
+PRGNAM="kdevelop-pg-qt"
+VERSION="0.9.5"
+HOMEPAGE="http://www.kdevelop.org/"
+DOWNLOAD="ftp://ftp.kde.org/pub/kde/stable/kdevelop-pg-qt/0.9.5/src/kdevelop-pg-qt-0.9.5.tar.bz2"
+MD5SUM="4818af0deea47d583adff7c134d62e08"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/development/kdevelop-pg-qt/slack-desc b/development/kdevelop-pg-qt/slack-desc
new file mode 100644
index 0000000000..2097a3273f
--- /dev/null
+++ b/development/kdevelop-pg-qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdevelop-pg-qt: kdevelop-pg-qt (KDevelop Parser Generator)
+kdevelop-pg-qt:
+kdevelop-pg-qt: KDevelop Parser Generator, a LL(1) and shunting-yard parser generator
+kdevelop-pg-qt: used mainly by KDevelop language plugins.
+kdevelop-pg-qt:
+kdevelop-pg-qt: Homepage: http://www.kdevelop.org/
+kdevelop-pg-qt:
+kdevelop-pg-qt:
+kdevelop-pg-qt:
+kdevelop-pg-qt:
+kdevelop-pg-qt: